GOMOKU(6)

BEZEICHNUNG
gomoku - Spiel von 5 in einer Reihe

ÜBERSICHT
gomoku [-bcdu] [-D Fehlersuchdatei] [Eingabedatei]

BESCHREIBUNG
gomoku ist ein Zweispielerspiel mit dem Ziel, auf einem 19x19-Gitter 5 Felder in einer Reihe (horizontal, vertikal oder diagonal) zu belegen. Herkömmlicherweise beginnt immer schwarz. Ohne Argumente zeigt gomoku ein Spielfeld und bittet den Benutzer um einen Zug. Gültige Züge sind ein Buchstabe für die Spalte und eine Zahl für die Zeile eines leeren Platzes auf dem Brett. Durch Eingabe von »quit« oder »resign« wird das Spiel beendet. Sie können den aktuellen Spielzustand durch Eingabe von »save« und der Angabe eines Dateinamens nach der Aufforderung dazu speichern. Die optionale Datei Eingabedatei kann zum Wiederherstellen eines gespeicherten Spiels verwandt werden.

Die Optionen sind:

-b  Diese Option setzt den Hintergrundmodus. Eingaben werden aus der Standardeingabe gelesen, der Computer führt einen Spielzug durch und schreibt ihn auf die Standardausgabe. Die erste Eingabezeile sollte entweder »black« oder »white« sein, um anzugeben, ob gomoku den ersten Spielzug hat bzw. nicht hat. Diese Option ist für Spielwettbewerbe gedacht, bei denen ein Schiedsrichterprogramm die Anzeige des Spielfeldes handhabt und ein Programm gegen ein anderes antreten lässt.

-c  Computer gegen Computer. gomoku wird ein Spiel gegen sich selbst spielen. Dies wird hauptsächlich zum Testen verwandt.

-d  Ausgabe von Fehlersuchinformationen. Durch mehrfache Angabe dieser Option werden detailliertere Informationen ausgegeben.

-D Fehlersuchdatei
    Ausgabe von Fehlersuchinformationen in Fehlersuchdatei anstatt in die Standardausgabe.

-u  Benutzer gegen Benutzer. Dies wird hauptsächlich zum Testen verwandt.

AUTOR
Ralph Campbell

DANKSAGUNGEN
Die Brettanzeigeroutinen basierten auf dem von Peter Langston geschriebenen Programm goref.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3: https://www.gnu.org/licenses/gpl-3.0.html oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.